.calender-box {
    text-align: center;
    align-items: center;
    display: flex;
    flex-direction: column;
}


.calender-wrapper {
    width: 500px;
    margin: 0 auto;
    color: #666;
}

#header {
    text-align: center;
    font-size: 24px;
    width: 100%;
    margin: 1rem 0 0;
    color: #f97948;
}

/*カレンダー*/
#calender {
    text-align: center;
    width: 100%;
}

table {
    outline: 2px solid #ddd;
    /*border-collapse: collapse;*/
    width: 100%;
    background-color: #FFF;
}

th {
    color: #000;
}

th,
td {
    outline: 1px solid #ddd;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
}

/*日曜日*/
.calender td:first-child,
.calender th:first-child {
    color: red;
}

/*土曜日*/
.calender td:last-child,
.calender th:last-child {
    color: blue;
}

/*祝日*/
.holiday {
    color: red;
}

/*前後月の日付*/
.calender td.disabled {
    color: #ccc;
}

/*本日*/
.calender td.today,
.explanation .today {
    border: 3px solid green;
}

/*イベント　練習*/
.calender td.event-practice,
.explanation .event-practice {
    background-color: #FFE7DF;
}

/*イベント　その他*/
.calender td.event-other,
.explanation .event-other {
    background-color: #FFFE91;
}

#next-prev-button {
    display: flex;
    justify-content: center;
    /* 子要素を中央揃え */
    gap: 1rem;
    /* ボタン間のスペース */
    margin: 1rem 0;
}


#next-prev-button button {
    cursor: pointer;
    background: #B78D4A;
    color: #fff;
    border: 1px solid #B78D4A;
    border-radius: 4px;
    font-size: 1rem;
    padding: 0.5rem 2rem;
    margin: 1rem 0;
}

#next-prev-button button:hover {
    background-color: #D4BB92;
    border-color: #D4BB92;
}

#next-prev-button button:disabled {
    background-color: #D4BB92;
    border-color: #D4BB92;
}

.explanation {
    display: flex;
    align-items: center;
    justify-content: center;
}

#explanation-table {
    outline: 2px solid #ddd;
    border-collapse: collapse;
    width: 80%;
}

#explanation-table tr td {
    color: #000;
}

.calender-box a {
    display: block;
    /* ブロック要素に変更 */
    text-align: center;
    /* テキストを中央揃え */
    margin-top: 1rem;
    /* 少し余白を追加 */
    text-decoration: none;
    /* アンダーラインを消す */
}

.event-details {
    display: none;
    padding: 10px;
    border: 1px solid #ccc;
    background-color: #f9f9f9;
    margin-top: 10px;
    width: 300px;
}

.event-details h3 {
    margin: 0 0 5px 0;
    font-size: 18px;
}

.event-details ul {
    padding: 0;
    list-style: none;
}

.event-details ul li {
    margin: 5px 0;
    padding: 5px;
    background-color: #eee;
}